# Uses of Class
org.apache.solr.common.cloud.ZkNodeProps

Packages that use ZkNodeProps
Package
Description
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.

## Uses of ZkNodeProps in org.apache.solr.common.cloud

Subclasses of ZkNodeProps in org.apache.solr.common.cloud
Modifier and Type
Class
Description
`class`
`DocCollection`
Models a Collection in zookeeper (but that Java name is obviously taken, hence "DocCollection")
`class`
`Replica`
`class`
`RoutingRule`
Used for routing docs with particular keys into another collection
`class`
`Slice`
A Slice contains immutable information about a logical shard (all replicas that share the same shard id).
Methods in org.apache.solr.common.cloud that return ZkNodeProps
Modifier and Type
Method
Description
`ZkNodeProps`
ZkCoreNodeProps.`getNodeProps()`
`static ZkNodeProps`
ZkNodeProps.`load(byte[] bytes)`
Create Replica from json string that is typically stored in zookeeper.
`ZkNodeProps`
ZkNodeProps.`plus(String key, Object val)`
`ZkNodeProps`
ZkNodeProps.`plus(Map<String,Object> newVals)`
`ZkNodeProps`
Replica.`toFullProps()`
Methods in org.apache.solr.common.cloud with parameters of type ZkNodeProps
Modifier and Type
Method
Description
`static ReplicaCount`
ReplicaCount.`fromMessage(ZkNodeProps message)`
`static ReplicaCount`
ReplicaCount.`fromMessage(ZkNodeProps message, DocCollection collection)`
`static ReplicaCount`
ReplicaCount.`fromMessage(ZkNodeProps message, DocCollection collection, Integer defaultReplicationFactor)`
Creates a `ReplicaCount` from a message.
`static String`
ZkCoreNodeProps.`getCoreUrl(ZkNodeProps nodeProps)`
`static Map<String,Object>`
DocRouter.`getRouterSpec(ZkNodeProps props)`
Constructors in org.apache.solr.common.cloud with parameters of type ZkNodeProps
Modifier
Constructor
Description
``
`ZkCoreNodeProps(ZkNodeProps nodeProps)`